Calls
Eavesdrop
Listen to a live call and send supervisor commands. Connect with the JWT from POST /v1/calls/{callId}/eavesdrop-token via Authorization: Bearer {token} or ?token={token}. The call id is embedded in the token.
WSS
/
v1
/
eavesdrop
Messages
No examples found{
"type": "<string>",
"data": {
"number": "<string>",
"transfer_type": "<string>"
}
}{
"type": "<string>"
}{
"type": "<string>",
"data": {
"audio": "<string>"
}
}{
"type": "<string>",
"data": {
"audio": "<string>"
}
}{
"type": "<string>",
"data": {
"transcript": "<string>",
"turn_id": "<string>",
"is_final": true
}
}{
"type": "<string>",
"data": {
"text": "<string>",
"turn_id": "<string>",
"is_final": true
}
}No examples foundEavesdrop end call
type:object
Supervisor command to end the monitored call.
Eavesdrop transfer call
type:object
Supervisor command to transfer the monitored call.
Eavesdrop server message
type:object
Discriminated by type; payload in data. One of: user_audio, agent_audio, input_audio_transcript, response_text, transcript.
Eavesdrop user audio
type:object
User-side audio chunk.
Eavesdrop agent audio
type:object
Agent-side audio chunk.
Eavesdrop input audio transcript
type:object
Interim or final user speech transcript.
Eavesdrop response text
type:object
Interim or final agent text.
Eavesdrop transcript snapshot
type:object
Initial committed transcript history after the eavesdrop room is ready.
⌘I
Messages
No examples found{
"type": "<string>",
"data": {
"number": "<string>",
"transfer_type": "<string>"
}
}{
"type": "<string>"
}{
"type": "<string>",
"data": {
"audio": "<string>"
}
}{
"type": "<string>",
"data": {
"audio": "<string>"
}
}{
"type": "<string>",
"data": {
"transcript": "<string>",
"turn_id": "<string>",
"is_final": true
}
}{
"type": "<string>",
"data": {
"text": "<string>",
"turn_id": "<string>",
"is_final": true
}
}No examples found
